Author Topic: Cannot install SparkyLinux MATE 3.6  (Read 1186 times)

Offline g33k

  • Newbie
  • *
  • Posts: 2
Cannot install SparkyLinux MATE 3.6
« on: January 26, 2015, 03:21:51 pm »
I tried to install SparkyLinux MATE 3.6 and get this error message

Traceback (most recent call last):

  File "/usr/lib/live-installer/frontend/gtk_interface.py", line 828, in wizard_cb
    partitioning.build_partitions(self)

  File "/usr/lib/live-installer/partitioning.py", line 55, in build_partitions
    partition_setup = PartitionSetup()

  File "/usr/lib/live-installer/partitioning.py", line 210, in __init__
    self.disks = _get_attached_disks()

  File "/usr/lib/live-installer/partitioning.py", line 201, in _get_attached_disks
    size = str(int(float(size[:-1]) * (1024/1000)**'BkMGTPEZY'.index(size[-1]))) + size[-1]

ValueError: substring not found

Any suggestions? Thanks!

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1465
    • SparkyLinux
Re: Cannot install SparkyLinux MATE 3.6
« Reply #1 on: January 26, 2015, 03:57:43 pm »
Hi
It happens sometimes.
What machine you have - with BIOS or EFI?
If BIOS - try to install sparky using our old installer:
Code: [Select]
sudo sparkylinux-installer gui
Nothing is easy as it looks.

Offline ldm

  • Newbie
  • *
  • Posts: 9
Re: Cannot install SparkyLinux MATE 3.6
« Reply #2 on: January 26, 2015, 11:18:55 pm »
same problem here with SparkyLinux 3.6 MATE x64,
I try it in VMwarePlayer

using old installer no more error :)

Offline g33k

  • Newbie
  • *
  • Posts: 2
Re: Cannot install SparkyLinux MATE 3.6
« Reply #3 on: January 27, 2015, 01:36:15 am »
pavroo

I followed your instructions and was able to install  SparkyLinux MATE 3.6.

Thanks for your assistance!

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1465
    • SparkyLinux
Re: Cannot install SparkyLinux MATE 3.6
« Reply #4 on: January 27, 2015, 01:44:22 am »
Cool :)
Nothing is easy as it looks.

Offline ldm

  • Newbie
  • *
  • Posts: 9
Re: Cannot install SparkyLinux MATE 3.6
« Reply #5 on: January 27, 2015, 12:47:11 pm »
I found where is the problem ;)
in bios I disable floppy disk and the default installer works with no errors!

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1465
    • SparkyLinux
Re: Cannot install SparkyLinux MATE 3.6
« Reply #6 on: January 27, 2015, 01:20:11 pm »
It's good to know that, thank's.
Nothing is easy as it looks.